Bug 484922 - (CVE-2009-0500) CVE-2009-0500 moodle: XSS vuln due to missing input validation in logs
CVE-2009-0500 moodle: XSS vuln due to missing input validation in logs
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 484917 484918 484919 484920 484921
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:10 EST by Vincent Danen
Modified: 2016-03-04 06:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 03:11:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-02-10 13:10:47 EST
me: CVE-2009-0500
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0500
Assigned: 20090209
Reference: MLIST:[oss-security] 20090204 CVS request - Moodle
Reference: URL: http://www.openwall.com/lists/oss-security/2009/02/04/1
Reference: CONFIRM: http://moodle.org/security/

Cross-site scripting (XSS) vulnerability in course/lib.php in Moodle
1.6 before 1.6.9, 1.7 before 1.7.7, 1.8 before 1.8.8, and 1.9 before
1.9.4 allows remote attackers to inject arbitrary web script or HTML
via crafted log table information that is not properly handled when it
is displayed in a log report.


Additional information from upstream (http://moodle.org/security/)

MSA-09-0007: Missing input validation in logs allows potential XSS attacks 
Versions affected:       < 1.9.4, < 1.8.8, < 1.7.7, < 1.6.9 
http://cvs.moodle.org/moodle/course/lib.php?r1=1.538.2.66&r2=1.538.2.67
Comment 1 Red Hat Product Security 2009-02-19 03:11:14 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1699
  https://admin.fedoraproject.org/updates/F9/FEDORA-2009-1641

Note You need to log in before you can comment on or make changes to this bug.